Skip to content

Get presenting problem link

Request

Returns a single Presenting Problem Link by its unique identifier.

Security
bearer
Path
siteIdnumberrequired

Site identifier

presentingProblemLinkIdstringrequired

Presenting Problem Link unique identifier (UUID)

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/presenting-problem-link/{presentingProblemLinkId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Presenting Problem Link found

Bodyapplication/json
consultIdstringrequired

Identifier of the consult associated with this link.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when this link was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Indicates whether this link is currently active.

Example:true
presentingProblemIdstringrequired

Identifier of the presenting problem associated with this link.

Example:"123e4567-e89b-12d3-a456-426614174000"
presentingProblemLinkIdstringrequired

Unique identifier for this presenting problem link.

Example:"123e4567-e89b-12d3-a456-426614174000"
updatedAtstring, (date-time)required

Timestamp when this link was last modified.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "consultId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "isActive": true, "presentingProblemId": "123e4567-e89b-12d3-a456-426614174000", "presentingProblemLinkId": "123e4567-e89b-12d3-a456-426614174000", "updatedAt": "2025-01-01T00:00:00.000Z" }